Loading...
Searching...
No Matches
BALL::NMRStarFile::NMRAtomData Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| NMRAtomData ()
bool | operator== (const NMRAtomData &atom) const
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

Position | atom_ID
Position | residue_seq_code
String | residue_label
String | atom_name
char | atom_type
float | shift_value
float | error_value
Position | ambiguity_code

## Detailed Description

NMRAtomData This class includes all information for one atom delivered by a NMRStar file. All members are public for easy access.

Definition at line 239 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## NMRAtomData()

BALL::NMRStarFile::NMRAtomData::NMRAtomData | ( |  | ) |

## Member Function Documentation

## operator==()

bool BALL::NMRStarFile::NMRAtomData::operator== | ( | const NMRAtomData & | atom | ) | const

## operator>>()

std::ostream & BALL::NMRStarFile::NMRAtomData::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## ambiguity_code

Position BALL::NMRStarFile::NMRAtomData::ambiguity_code

Definition at line 251 of file NMRStarFile.h.

## atom_ID

Position BALL::NMRStarFile::NMRAtomData::atom_ID

Definition at line 244 of file NMRStarFile.h.

## atom_name

String BALL::NMRStarFile::NMRAtomData::atom_name

Definition at line 247 of file NMRStarFile.h.

## atom_type

char BALL::NMRStarFile::NMRAtomData::atom_type

Definition at line 248 of file NMRStarFile.h.

## error_value

float BALL::NMRStarFile::NMRAtomData::error_value

Definition at line 250 of file NMRStarFile.h.

## residue_label

String BALL::NMRStarFile::NMRAtomData::residue_label

Definition at line 246 of file NMRStarFile.h.

## residue_seq_code

Position BALL::NMRStarFile::NMRAtomData::residue_seq_code

Definition at line 245 of file NMRStarFile.h.

## shift_value

float BALL::NMRStarFile::NMRAtomData::shift_value

Definition at line 249 of file NMRStarFile.h.